# geos::geomgraph::index::SimpleSweepLineIntersector Class Reference

Finds all intersections in one or two sets of edges, using a simple x-axis sweepline algorithm. More...

`#include <SimpleSweepLineIntersector.h>`

Inherits geos::geomgraph::index::EdgeSetIntersector.

List of all members.

## Public Member Functions

void | computeIntersections (std::vector< Edge * > *edges, SegmentIntersector *si, bool testAllSegments)
void | computeIntersections (std::vector< Edge * > *edges0, std::vector< Edge * > *edges1, SegmentIntersector *si)

## Detailed Description

Finds all intersections in one or two sets of edges, using a simple x-axis sweepline algorithm.

While still O(n^2) in the worst case, this algorithm drastically improves the average-case time.

The documentation for this class was generated from the following file:

- SimpleSweepLineIntersector.h